<input type="file" accept="{{allowedMimeTypes}}" name="file" id="uploadFile" class="inputfile form-control-file display-hidden" (change)="onFileChange($event)" />
<button for="file" class="btn btn-sm btn-raised btn-secondary ml-1 text-white font-small-2" (click)="openFileBrowser($event)" [disabled]="disabled">
  {{ buttonText | translate }}
  <span [class]="icon"></span>
</button>
<figure *ngIf="showPreviewImage && previewUrl" class="mt-2">
    <img src="{{previewUrl}}" class="portrait" />
</figure>